
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP变量作用域 / iVAN</title>

    <meta name="description" content="PHP变量作用域 PHP 的全局变量和 C 语言有一点点不同,在 C 语言中,全局变量在函数中自动生效,除非被局部变量覆盖,这可能引起一些问题,有些人可能不小心就改变了一个全局变量.PHP 中全局变量在函数中使用时必须声明为 global.PHP: 变量范围 - Manual 全局变量 在函数范围之外所声明的变量就是全局变量.由于函数可以视为单独的程序片段,所以局部变量会覆盖全局变量的能见度,因此在函数中并无法直接调用使用全局变量. 局部变量 在函数之中声明的变量就是局部变量,并且该变量只有在函数范围之中才能加以">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP变量作用域</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<blockquote><p>PHP 的全局变量和 C 语言有一点点不同，在 C 语言中，全局变量在函数中自动生效，除非被局部变量覆盖，这可能引起一些问题，有些人可能不小心就改变了一个全局变量。PHP 中全局变量在函数中使用时必须声明为 global。<br /><a href="http://php.net/manual/zh/language.variables.scope.php" rel="external nofollow noreferrer">PHP: 变量范围 - Manual</a></p></blockquote>
<h2>全局变量</h2>
<p>在函数范围之外所声明的变量就是全局变量。由于函数可以视为单独的程序片段，所以局部变量会覆盖全局变量的能见度，因此在函数中并无法直接调用使用全局变量。</p>
<h2>局部变量</h2>
<p>在函数之中声明的变量就是局部变量，并且该变量只有在函数范围之中才能加以使用。如果其它程序局部需要调用使用该变量值时，必须透过<code>return</code>指令，来将其传回至主程序区块以作后续处理。</p>
<h2>函数内使用全局变量</h2>
<p>1、通过传参方式将变量传入函数内部使用函数内部不能改变全局变量的值<br />
可以在传参数时形参使用<code>&amp;</code>符号与外部全局变量建立引用关系，这样可以更改全局变量的值。</p>
<pre><code>$a=10;
function canshu($x){
    echo $x;
}

canshu($a);//输出10</code></pre>
<p>2、通过global关键字声明一个与全局变量同名的局部变量需先声明后使用（实质上是建立了<code>引用</code>关系）此时在函数里面可以修改全局变量的值；unset后引用关系没有了，但外部全局变量依旧存在。</p>
<pre><code>$a=10;

function quanju(){
    global $a;
    echo $a;
    unset($a);//unset后引用关系没有了，但外部全局变量依旧存在
    var_dump($a);//null
}

quanju();//输出10
echo '&lt;br/&gt;out:';
echo $a;//输出10</code></pre>
<p>3、使用超全局数组GLOBALS<br />
此时在函数里面可以修改全局变量的值；<br />
unset后外部全局变量也不存在了。</p>
<pre><code>$name='Bob';//全局变量$name也属于超全局数组GLOBALS的成员之一
echo '&lt;pre&gt;';
// print_r($GLOBALS);
echo '&lt;/pre&gt;';

echo $GLOBALS['name'];

function chao(){
    echo $GLOBALS['name'];
    $GLOBALS['name']='Allen';//将改变外部全局变量$name的值
    unset($GLOBALS['name']);//将unset外部全局变量$name的值
}
echo '&lt;br/&gt;in:';
chao();//Bob

echo '&lt;br/&gt;out:';
var_dump($name);//null</code></pre>
<h2>静态变量(static)</h2>
<p>PHP支持声明函数变量为静态的(static)。</p>
<p>一个静态变量在所有对该函数的调用之间共享，并且仅在脚本的执行期间函数第一次被调用时被初始化。</p>
<p>要声明函数变量为静态的用关键字static。通常，静态变量的第一次使用时赋予一个初始值。</p>
<p>函数内使用静态变量关键字static声明的变量在执行完函数后不会被释放，下一次函数调用仍然生效。</p>
<pre><code>function add(){
    static $a=0;
    echo $a;
    $a++;
}

add();//0
echo "&lt;hr/&gt;";
add();//1
echo "&lt;hr/&gt;";
add();//2</code></pre>
<p><strong>UPDATE</strong><br />
2016-1-9 16:54:19</p>
<p>Javascript语言函数内部可以直接读取全局变量。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:46:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP变量作用域的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbakeQp.html" rel="bookmark">&lbrack;JAVA&rsqb;变量作用域的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量|问题 变量作用域的问题:public String getAnswer() {  String myAnswer;  try  {      BufferedReader bfReader=new BufferedReader(new InputStreamReader(System.in));      myAnswer=new String(bfReader.readLine().toString());   System.out.println(&quot;你输入的是:&quot;+myAns			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLLmGb.html" rel="bookmark">javascript变量作用域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript变量作用域只有两种情况:全局作用域.函数作用域 没有代码块作用域,因而要养成一处声明全部变量的编程习惯(文件头部.函数头部). function test(){ var abc=&quot;123&quot;; efg=&quot;456&quot;; put(&quot;in test abc=&quot;+abc); put(&quot;in test efg=&quot;+efg); } function test1(){ var abc; put(&quot;in test1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7503b.html" rel="bookmark">浅谈PHP变量作用域以及地址引用问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了PHP变量作用域以及地址引用问题,有需要的朋友可以参考一下 作用域的概念:   在PHP脚本的任何位置都可以声明变量,但是,声明变量的位置会大大影响访问变量的范围.这个可以访问的范围称为作用域.   主要的常用的包括:局部变量.全局变量.静态变量.   1.局部变量:就是在函数内声明的变量,他保存在内存的栈内,所以访问速度很快.仅在函数内有效.   2.全局变量:与局部变量相反,全局变量可以在程序的任何地方访问.只要在变量前面加关键字GLOBAL,就可以将其识别为全局变量.在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKNgVp.html" rel="bookmark">Javascript变量作用域详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				         这篇文章主要是对Javascript变量作用域进行了详细的分析介绍,需要的朋友可以过来参考下,希望对大家有所帮助 变量的作用域指的是变量的可见性,而生命周期则(存活期)则是从另一个角度考察变量.         JS中变量的作用域分为全局变量和局部变量,函数内定义的称为局部变量,函数外的称为全局变量.(&quot;函数外的称为全局变量&quot;是相对的,另此处讨论的前提是用var显式声明的变量,函数内不用var定义的变量默认是全局变量,当然忽略var声明变量是不赞成的).    代码如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWkgQb.html" rel="bookmark">Python基本语法&lowbar;变量作用域LEGB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 软件系统 变量的作用域 高级语言对数据类型的使用过程 作用域的产生 作用域的类型 Llocal局部作用域 Eenclosing嵌套作用域 Gglobal全局作用域 Bbuilt-in内置作用域 变量名解析LEGB法则 实例说明 对变量的引用 对变量的修改 global关键字 nonlocal关键字 命名空间和作用域的区别 软件系统 系统 Ubuntu 14.04 软件 Python 2.7.3 IPython 4.0.0 变量的作用域 在Python程序中创建.改变.查找变量名时,都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR3PBz.html" rel="bookmark">局部变量-C&plus;&plus;变量作用域匹配以及inline函数问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++变量作用域匹配以及inline函数问题 int value = 2; void printvalue() { printf(&quot;value=%d &quot;, value); } int main() { int value = 0; value = 1; cout &lt;&lt; value &lt;&lt; endl; //::value = 2; printvalue(); return 0; } 为什么函数中的输出为value=2,value匹配了全局变量而不是局部变量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKQlab.html" rel="bookmark">javascript变量作用域一点总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:javascript里变量作用域是个经常让人头痛抓狂的问题,下面通过10++个题目,对经常遇到又容易出错的情况进行了简单总结,代码样例很短很简单 题目一 var name = 'casper'; alert(name); //毫无疑问地输出:casper 题目二 alert(name); //报错:对象未定义,即使用一个压根就不存在的变量,所以出错 age = 24; //这里木有错,但age不是为定义吗?翻下犀牛书,明白了 //给一个未定义的变量赋值,会创建一个全局变量,相当于:var			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60KEAz.html" rel="bookmark">局部变量-javascript中变量作用域的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 javascript中变量作用域的问题 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot; xml:lang=&quot;en&quot;&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPk3WlM.html" rel="bookmark">javascript 与 jquery 变量作用域差异问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 javascript 与 jquery 变量作用域差异问题 /***javascript例子***/ function fn(){ var oo=&quot;oo&quot;; function fnn(){ alert(oo); } fnn(); } fn(); // 结果 undefined /***jquery 例子***/ $( function(){ var oo=&quot;oo&quot;; function fnn(){ alert(oo); } fnn(); } ) // 结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NN5Az.html" rel="bookmark">关于javascript中变量作用域理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在就结合网上的一篇文章在重新回顾下作用域这个东西吧. 作用域和上下文并不是同一个东西,很多人可能会把它搞混.每一个函数调用都联系着一个作用域和一个上下文.根本上来说,作用域是基于函数的而上下文是基于对象的.换句话说,作用域与函数调用是能够获取的变量有联系,它对与每一次调用来说都是独一无二的.上下文常常代表this变量的值,它指向&quot;拥有&quot;当前执行的这段代码的对象. 变量作用域 一个变量的作用域是程序源代码中定义这个变量的区域.全局变量拥有全局作用域,在js代码里的任何地方都是有定义的.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjoXNM.html" rel="bookmark" class="title">线程执行者（四）执行者执行返回结果的任务</a>
					<div>
						执行者执行返回结果的任务 Executor framework的一个优点是你可以并发执行返回结果的任务.Java并发API使用以下两种接口来实现: Callable:此接口有一个call()方法.在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLY4vz.html" rel="bookmark" class="title">Photoshop打造淡美的粉褐色外景美女图片</a>
					<div>
						素材图片主色为黄绿色,调色的时候我们可以保留高光部分的黄色,把其它黄绿色都转为粉褐色,再给局部增加高光,把整体处理柔和即可. 原图 最终效果 [1] [2] [3] [4] [5] [6]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEnAoM.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript在页面间数据传输的使用</a>
					<div>
						数据|页面 功能描述:从主页面把tantousyaID,edaban,torihikisakiTantousyamei三个字段传到参照子画面.参照子画面以这三个关键字为检索条件检索出符合条件的记录当把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVJrYz.html" rel="bookmark" class="title">个人网站建设中要明确的八大要点</a>
					<div>
						个人网站建设技巧 一.要明确建网站的目的   二.给网站取一个好听的名字   三.注意网站总体规划   四.注意头版头条的设置   五.时常对网站进行更新维护    六.利用音乐.特效.图片等装点网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN9Oxb.html" rel="bookmark" class="title">CSS&plus;DIV网页特效欣赏：非常酷的角BANNER</a>
					<div>
						css|网页|网页特效 Top Right Banner Style #topright { position: absolute; right: 0; top: 0; display: block; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnD9Ab.html" rel="bookmark" class="title">ASP全程讲座</a>
					<div>
						ASP全程讲座~~呵呵呵呵~暑假了,我要狂发贴!---%￥%--￥￥#---* 为了我们的FLASH,稍微学学ASP吧~(忍忍吧~)因为这东西实际上用途还是蛮大的.还是以登录为例子讲解.这次呢,我们用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg5oEz.html" rel="bookmark" class="title">菠菜：seo及seo团队评估</a>
					<div>
						关于网站seo评估话题之前在如何分析一个网站seo是否到位[菠菜:一步一步教你如何分析网站seo是否到位]写了35点,这里菠菜把seo及seo团队评估结合在一起,然后说说关于一个企业的seo团队及网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLeOkz.html" rel="bookmark" class="title">Phalanger-PHP的&period;NET编译器</a>
					<div>
						除了IronPython,微软正试着让.NET平台支持更多你我熟知的动态语言,例如Perl.PHP.Ruby.根据IronPython的创造者.也是微软CLR开发部门主管Jim Hugunin表示,微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba2LXM.html" rel="bookmark" class="title">服务器性能和可伸缩性杀手（转1）</a>
					<div>
						服务器|伸缩|性能 现在,服务器性能问题是许多书写桌面应用程序的人所要面对的问题.组件对象模型(Component Object Model,COM)和Component ware的成功产生了一个意想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOVD0M.html" rel="bookmark" class="title">tplink防火墙怎么设置</a>
					<div>
						  tplink防火墙设置方法 IP地址过滤的使用IP地址过滤用于通过IP地址设置内网主机对外网的访问权限,适用于这样的需求:在某个时间段,禁止/允许内网某个IP(段)所有或部分端口和外网IP的所有或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNANqb.html" rel="bookmark" class="title">优雅地扩大链接响应区域</a>
					<div>
						合理地扩大页面链接响应区域可以提高网页的易用性.同时还要兼顾到链接的交互一致性以及视觉上的平衡,就需要做一些特殊的处理. 实例一:一张图配一个链接. 常规的做法有以下几种: 第一种是最常规的,只有链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOWq0M.html" rel="bookmark" class="title">把古装人像图片转为轻手绘效果</a>
					<div>
						把古装人像图片转为轻手绘效果 轻微仿手绘处理的时候细节部分不需要特别的刻画.不过处理的时候还是需要非常用心,需要把人物脸部及画面都处理得非常干净.   原图 最终效果 1.打开原图素材,新建图层,改模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo76jXb.html" rel="bookmark" class="title">Photoshop给人物照片加上暗紫色技巧</a>
					<div>
						图片以暗色为主,比较适合调成暗紫色.过程:先用调色工具把图片的主色转为褐色,然后用曲线等调色工具给图片暗部增加蓝紫色,高光部分增加淡紫色,后期再美化一下人物部分即可. 原图 &lt;点小图查看大图&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG1adp.html" rel="bookmark" class="title">在win7系统中怎么显示隐藏的文件夹或文件&quest;</a>
					<div>
						  可能由于某些文件中了病毒,在杀毒软件查杀后,会将该文件所在的文件夹隐藏起来,不管自己怎么找都找不到.这些文件就再也找不到了吗?答案当然是否定的!下面,小编就为大家演示(在win7系统下演示,其他w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3DGEM.html" rel="bookmark" class="title">把自己喜欢的网站放到最容易找到的地方</a>
					<div>
						相信很多人都有自己每天必须要去的网站,就像小编,虽然说平常都是上班,但是上班的时候经常在中间自己抽出10分钟左右的时间看看微博.这样就有我必须要去的网站了,那么我会把这个网站弄到一个我最容易打开的地方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WAA0b.html" rel="bookmark" class="title">中国成为微软云战略的重要站点</a>
					<div>
						1994年,在夏威夷拉奈岛上举办的一场顶级富豪婚礼之中,新郎盖茨与伴郎鲍尔默之间的友谊达到了一个巅峰.在那时候盖茨有充分的理由相信,这个大学同学,微软的第24位员工将会成为他一生之中最重要的朋友和同事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNWdQz.html" rel="bookmark" class="title">最佳的JavaScript错误处理实践&lowbar;javascript技巧</a>
					<div>
						不管你的技术水平如何,错误或异常是应用程序开发者生活的一部分.Web开发的不连贯性留下了许多错误能够发生并确实已经发生的地方.解决的关键在于处理任何不可预见的(或可预见的错误),来控制用户的体验.利用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxx5mb.html" rel="bookmark" class="title">java中网络编程关于使用ObjetInputStream传输报错的问题，求大神指点</a>
					<div>
						问题描述 java中网络编程关于使用ObjetInputStream传输报错的问题,求大神指点 以下贴出来的代码为通过ObjectInputStream(OutputStream)在客户端与服务器端之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPPolp.html" rel="bookmark" class="title">汇编-win7 64位系统怎么运行masm&period;exe</a>
					<div>
						问题描述 win7 64位系统怎么运行masm.exe 请问怎么才能在win7 64位系统的dos下运行masm?我下载了dosbox也不能将写好的汇编源程序编译 解决方案 在win7 64位下安装一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQKdnp.html" rel="bookmark" class="title">求教~SSH整合配置问题，郁闷。</a>
					<div>
						问题描述 照着mldn的智囊团做的,配置好之后启动tomcat提示org.springframework.beans.factory.BeanCreationException:Errorcreati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAm12M.html" rel="bookmark" class="title">请问ios实现类似qq讨论组功能时是不是也要利用xmpp，有其他简单一点的方法吗</a>
					<div>
						问题描述 请问ios实现类似qq讨论组功能时是不是也要利用xmpp,有其他简单一点的方法吗 我刚刚学习ios,如果我想在项目里加上一个讨论组功能,是不是要利用xmpp有没有其他简单一点的方法呢 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEnvxz.html" rel="bookmark" class="title">RabbitMq的整理 exchange、route、queue关系</a>
					<div>
						http://blog.csdn.net/samxx8/article/details/47417133 从AMQP协议可以看出,MessageQueue.Exchange和Binding构成了AMQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqooqb.html" rel="bookmark" class="title">ab ost-android TabHost使用RadioButton布局问题</a>
					<div>
						问题描述 android TabHost使用RadioButton布局问题 自定义tabHost按钮布局时,使用RadioButton,但是在小屏幕机子上运行时,图片都会向右偏离,不能均匀分布. 下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQreyGM.html" rel="bookmark" class="title">eclipse Tomcat起不来</a>
					<div>
						问题描述 Eclipse环境tomcat7 解决方案 解决方案二:单独能起来,部署项目就弹框.terminalerror!解决方案三:将项目打war包放在tomcat下面,单独起tomcat,看能否起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r16ap.html" rel="bookmark" class="title">android 导航-指定经纬度跳转到导航，出错</a>
					<div>
						问题描述 指定经纬度跳转到导航,出错 代码如下: // Uri uri = Uri.parse(&quot;geo:0,0?q=印象城购物中心 + 1699+现代大道,+工业园区,+苏州&quot;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z4ZXp.html" rel="bookmark" class="title">icon- Android生成快捷方式图标没有效果</a>
					<div>
						问题描述 Android生成快捷方式图标没有效果 private void createShortCut() { Intent addShortCut =new Intent (); addShort ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z409BPz.html" rel="bookmark" class="title">android activity生成的dialog的显示不了的问题</a>
					<div>
						应用背景,假设有两个应用A和B,B里有个基于activity的dialog,首先启动B,在按HOME键,在打开A,然后来了一个广播触发B弹出那个对话框,一般如果用Intent.FLAG_ACTIVIT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqXDb.html" rel="bookmark" class="title">javascrpit-用JS创建的元素：focus在IE之除外的浏览器无效</a>
					<div>
						问题描述 用JS创建的元素:focus在IE之除外的浏览器无效 元素是这么来的: var rootDiv = document.createElement(&quot;&quot;div&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgLjob.html" rel="bookmark" class="title">mysql用profile分析查询计划</a>
					<div>
						1.打开profile,默认是关闭的         &gt;set profiling = 1 2.执行要分析的sql语句    &gt;select * from user where name  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60q6Nz.html" rel="bookmark" class="title">IPv6今年6月正式商用</a>
					<div>
						近日,全球IPv6论坛正式宣布,从今年6月1日起,在全球范围内为网站和网络服务提供商提供IPv6服务认证,分别授予IPv6WWW和IPv6ISP证书.这意味着,IPv6由此正式进入商用.理论上,IPv ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
